exit(3)

NAME
Tk::exit - End the application

SYNOPSIS
    use Tk qw(exit);
    ...
    B<exit>?(I<returnCode>)?;

DESCRIPTION
Terminate the process, returning returnCode to the system as the exit status. If returnCode isn't specified then it defaults to 0.

If calling "exit" from code invoked via a Tk callback then this Tk version of "exit" cleans up more reliably than using the perl "exit".

CAVEATS
Using "exit" from a forked process will terminate both the child process and the parent process. As "Tk::exit" is imported by default one should use "CORE::exit" in the forked process instead.

KEYWORDS
exit, process